#ifndef GRAPHCANVAS_H
#define GRAPHCANVAS_H

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include <wx/docview.h>
#include <wx/ogl/ogl.h>
#include <gvc.h>

#include "../graph.h"

class GraphCanvas : public wxShapeCanvas {

public:
	GraphCanvas(wxWindow* parent, wxWindowID id, const wxPoint& pos, 
				const wxSize& size, long style);

	static GraphCanvas* CreateCanvas(wxView *view, wxWindow *parent);
	static wxColour GetLineColor(double prob);

	void DrawGraph(Agraph_t*, Graph *g);
	void ZoomFit();
	void Zoom(double scale);
	void OnSize(wxSizeEvent& event);
	int GetFontSize(wxDC& dc, float spaceWidth, float spaceHeight);
	void RepositionShapes(float offsetX, float offsetY, float canWidth, float canHeight, float scale = 1);
	void PrintGraph();
	void ExportGraph();

private:
	wxFileDialog* ExportFileDialog;
	DECLARE_EVENT_TABLE()
};

#endif // GRAPHCANVAS_H
