#include <wx/config.h>

#include "guiApp.h"

IMPLEMENT_APP(guiFrmApp)

bool guiFrmApp::OnInit() {
	std::locale::global(std::locale("C")); 
	wxOGLInitialize();
	LoadConfig();

    frame = new guiFrm(NULL);
    SetTopWindow(frame);
    frame->Show(true);		
    return true;
}
 
int guiFrmApp::OnExit() {
	return 0;
}

void guiFrmApp::LoadConfig() {
	wxConfig config(wxT("FASPAD"), wxT("FASPAD"));
	if (!config.Read(wxT("General/modIsSPD"), &modIsSPD)) {
		modIsSPD = true;
		config.Write(wxT("General/modIsSPD"), modIsSPD);
	}

	int cRed, cGreen, cBlue;
	if (!config.Exists(wxT("General/colorSelV_red"))) {
		cRed = 0;
		cGreen = 190;
		cBlue = 0;
	} else {
		config.Read(wxT("General/colorSelV_red"), &cRed);
		config.Read(wxT("General/colorSelV_green"), &cGreen);
		config.Read(wxT("General/colorSelV_blue"), &cBlue);
	}
	colorSelV = wxColour(cRed, cGreen, cBlue);

	if (!config.Exists(wxT("General/colorDeSelV_red"))) {
		cRed = 0;
		cGreen = 255;
		cBlue = 0;
	} else {
		config.Read(wxT("General/colorDeSelV_red"), &cRed);
		config.Read(wxT("General/colorDeSelV_green"), &cGreen);
		config.Read(wxT("General/colorDeSelV_blue"), &cBlue);
	}
	colorDeSelV = wxColour(cRed, cGreen, cBlue);

	if (!config.Read(wxT("General/lineWidth"), &lineWidth)) {
		lineWidth = 2;
		config.Write(wxT("General/lineWidth"), lineWidth);
	}

	if (!config.Read(wxT("General/fontSize"), &fontSize)) {
		fontSize = 6;
		config.Write(wxT("General/fontSize"), fontSize);
	}
}
